# Application Settings

Provides you with a method to be able to retrieve application or user settings within a WiFi Motion network.

## Get application configuration by network ID

 - [GET /network/{network_id}/application/settings](https://docs.cognitivesystems.com/assets/specs/api/core/application-settings/getappsettings.md): Retrieves the application configuration settings for a specified network.

## Create a new application configuration

 - [POST /network/{network_id}/application/settings](https://docs.cognitivesystems.com/assets/specs/api/core/application-settings/createappsettings.md): Creates a new application configuration entry for a specific network with schedule settings and timezone.

## Update an application configuration

 - [PATCH /network/{network_id}/application/settings](https://docs.cognitivesystems.com/assets/specs/api/core/application-settings/updateappsettings.md): Updates an existing application configuration with provided fields. Only supplied fields will be updated.

auto_scene_switching_enabled can only be changed by users with the ADMIN or TECHNICIAN role. user_count is read-only and is rejected with a 400 if included.

Examples: 
- Update the Timezone using an API

## Delete application configuration by network ID

 - [DELETE /network/{network_id}/application/settings](https://docs.cognitivesystems.com/assets/specs/api/core/application-settings/deleteappsettingsbynetworkid.md): Deletes the application configuration settings for a specified network.

